- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDGraphicObjectOutputElement Class Reference
Inheritance diagram for libvisio::VSDGraphicObjectOutputElement:

## Public Member Functions
| VSDGraphicObjectOutputElement (const WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
virtual | ~VSDGraphicObjectOutputElement ()
virtual void | draw (libwpg::WPGPaintInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
WPXPropertyList | m_propList
WPXBinaryData | m_binaryData

## Constructor & Destructor Documentation

libvisio::VSDGraphicObjectOutputElement::VSDGraphicObjectOutputElement | ( | const WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

Referenced by clone().

virtual libvisio::VSDGraphicObjectOutputElement::~VSDGraphicObjectOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDGraphicObjectOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

void libvisio::VSDGraphicObjectOutputElement::draw | ( | libwpg::WPGPaintInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

WPXBinaryData libvisio::VSDGraphicObjectOutputElement::m_binaryData
| private

Referenced by clone().

WPXPropertyList libvisio::VSDGraphicObjectOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp